org.springframework.web.reactive.result.method.annotation

## Class AbstractNamedValueArgumentResolver.NamedValueInfo

- java.lang.Object
- - org.springframework.web.reactive.result.method.annotation.AbstractNamedValueArgumentResolver.NamedValueInfo

Enclosing class:
  AbstractNamedValueArgumentResolver

    protected static class AbstractNamedValueArgumentResolver.NamedValueInfo
    extends Object

Represents the information about a named value, including name, whether it's required and a default value.

### Constructor Summary

Constructors
Constructor and Description
`NamedValueInfo(String name, boolean required, String defaultValue)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedValueInfo

    public NamedValueInfo(String name,
                          boolean required,
                          @Nullable
                          String defaultValue)